<ng-container *ngIf="!isReview">
  <h3
    *ngIf="(seconds | clockCaption).length < 10"
    class="border rounded"
    id="aii-countdown"
    [class.aii-clock-error]="_overflow"
    [class.aii-clock-warning]="_prolongedOverflow"
  >
    {{ _viewSeconds | clockCaption }}
  </h3>

  <div
    *ngIf="(seconds | clockCaption).length >= 10"
    id="aii-countdown"
    [class.aii-clock-error]="_overflow"
    [class.aii-clock-warning]="_prolongedOverflow"
  >
    {{ _viewSeconds | clockCaption }}
  </div>
</ng-container>

<ng-container *ngIf="isReview">
  <h3
    *ngIf="(seconds | clockCaption).length < 10"
    id="aii-countdown"
    [class.alert]="_overflow || _prolongedOverflow"
    [class.alert-danger]="_overflow"
    [class.alert-warning]="_prolongedOverflow"
  >
    {{ _viewSeconds | clockCaption }}
  </h3>
  <div
    *ngIf="(seconds | clockCaption).length >= 10"
    id="aii-countdown"
    [class.alert]="_overflow || _prolongedOverflow"
    [class.alert-danger]="_overflow"
    [class.alert-warning]="_prolongedOverflow"
  >
    {{ _viewSeconds | clockCaption }}
  </div>
</ng-container>
